#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND=-Wl,-Bsymbolic-functions -Wl,--as-needed
export MA_TRIPLET=`dpkg-architecture -qDEB_HOST_MULTIARCH`

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
      -DPROJECT_LIBRARY_INSTALL_DIR:Path="lib/$(MA_TRIPLET)"

override_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	doxygen debian/doxygen.conf
else
	: # Documentation was not built due to nodoc flag in DEB_BUILD_OPTIONS
	: # Creating dummy blank debian/html expected by -doc package
	mkdir -p debian/html
endif

override_dh_installdocs:
	dh_installdocs --all CONTRIB

override_dh_makeshlibs:
	dh_makeshlibs -Xfakenect

override_dh_clean-indep:
	rm -rf debian/html
